summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorArfrever Frehtes Taifersar Arahesis <Arfrever@Apache.Org>2019-04-18 16:58:51 +0000
committerMike Gilbert <floppym@gentoo.org>2019-04-19 12:39:05 -0400
commit9e70387aeef2b67d759dea6b027a216a2a26bcbe (patch)
treedfc50593ea2fd44e6b77a644d99ec765c57a5e9e /dev-util
parentapp-portage/pram: amd64 stable wrt bug #683816 (diff)
downloadgentoo-9e70387aeef2b67d759dea6b027a216a2a26bcbe.tar.gz
gentoo-9e70387aeef2b67d759dea6b027a216a2a26bcbe.tar.bz2
gentoo-9e70387aeef2b67d759dea6b027a216a2a26bcbe.zip
dev-util/gyp: Use EAPI="7".
Signed-off-by: Arfrever Frehtes Taifersar Arahesis <Arfrever@Apache.Org> Signed-off-by: Mike Gilbert <floppym@gentoo.org>
Diffstat (limited to 'dev-util')
-rw-r--r--dev-util/gyp/gyp-20170904022846.ebuild9
-rw-r--r--dev-util/gyp/gyp-99999999999999.ebuild9
2 files changed, 10 insertions, 8 deletions
diff --git a/dev-util/gyp/gyp-20170904022846.ebuild b/dev-util/gyp/gyp-20170904022846.ebuild
index d5f888d0b40..01a8975bd42 100644
--- a/dev-util/gyp/gyp-20170904022846.ebuild
+++ b/dev-util/gyp/gyp-20170904022846.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 2017-2019 Arfrever Frehtes Taifersar Arahesis
# Distributed under the terms of the GNU General Public License v2
-EAPI="6"
+EAPI="7"
PYTHON_COMPAT=(python2_7)
DISTUTILS_SINGLE_IMPL="1"
@@ -27,9 +27,10 @@ KEYWORDS="amd64 ~ppc64 x86"
IUSE=""
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-DEPEND="${PYTHON_DEPS}
+BDEPEND="${PYTHON_DEPS}
dev-python/setuptools[${PYTHON_USEDEP}]"
-RDEPEND="${DEPEND}"
+DEPEND=""
+RDEPEND="${BDEPEND}"
src_test() {
# More errors when DeprecationWarnings enabled.
diff --git a/dev-util/gyp/gyp-99999999999999.ebuild b/dev-util/gyp/gyp-99999999999999.ebuild
index 0c933a99edc..f427d6156ee 100644
--- a/dev-util/gyp/gyp-99999999999999.ebuild
+++ b/dev-util/gyp/gyp-99999999999999.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 2017-2019 Arfrever Frehtes Taifersar Arahesis
# Distributed under the terms of the GNU General Public License v2
-EAPI="6"
+EAPI="7"
PYTHON_COMPAT=(python2_7)
DISTUTILS_SINGLE_IMPL="1"
@@ -27,9 +27,10 @@ KEYWORDS=""
IUSE=""
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-DEPEND="${PYTHON_DEPS}
+BDEPEND="${PYTHON_DEPS}
dev-python/setuptools[${PYTHON_USEDEP}]"
-RDEPEND="${DEPEND}"
+DEPEND=""
+RDEPEND="${BDEPEND}"
src_test() {
# More errors when DeprecationWarnings enabled.